#include <iostream>
#include <vector>

using namespace std;

using ll = long long;

const ll MOD = 998244353;

const int MAX_C = 2e6;

ll bin_pow(ll a, ll p) {
	if (!p) {
		return 1;
	}
	if (p & 1) {
		return bin_pow(a, p - 1) * a % MOD;
	} else {
		ll x = bin_pow(a, p / 2);
		return x * x % MOD;
	}
}

ll inv(ll x) {
	return bin_pow(x, MOD - 2);
}

ll cnk(ll n, ll k) {
	if (n < 0 || k < 0 || n - k < 0) {
		return 0;
	}
	ll res = 1;
	for (ll i = n - k + 1; i <= n; ++i) {
		res = res * i % MOD;
	}
	ll res2 = 1;
	for (ll i = 1; i <= k; ++i) {
		res2 = res2 * i % MOD;
	}
	return res * inv(res2) % MOD;
}

ll sol(ll n, ll k) {
	return cnk(n + k - 1, k);
}

int main() {
	int n, C;
	cin >> n >> C;
	vector<int> lp(C + 1), pr;
	for (int i = 2; i <= C; ++i) {
		if (!lp[i]) {
			lp[i] = i;
			pr.push_back(i);
		}
		for (int j = 0; j < (int) pr.size() && pr[j] <= lp[i] && pr[j] * i <= C; ++j) {
			lp[pr[j] * i] = pr[j];
		}
	}
	vector<int> calc(100);
	for (int i = 1; i <= 99; ++i) {
		calc[i] = sol(n, i);
	}
	vector<int> ans(C + 1, 0);
	ans[1] = 1;
	for (int i = 2; i <= C; ++i) {
		int x = i;
		int d = lp[x];
		int cnt = 0;
		while (x % d == 0) {
			x /= d;
			cnt += 1;
		}
		ans[i] = ans[x] * 1ll * calc[cnt] % MOD;
	}
	ll sum = 0;
	for (int i = 1; i <= C; ++i) {
		sum += ans[i];
	}
	cout << sum % MOD;
	return 0;
}
